# List billing document volume summary records Returns a summary of billing documents generated within a specified time range, including invoices and credit memos, and the total number of accounts that failed to process. Endpoint: GET /system-health/billing-documents/volume-summary Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `startTime` (string, required) Start time of the volume summary. Format: yyyy-MM-dd'T'HH:mmZ Example: 2022-09-22T09:07+0800. - `endTime` (string, required) End time of the volume summary. Format: yyyy-MM-dd'T'HH:mmZ Example: 2022-09-22T09:07+0800. ## Response 200 fields (application/json): - `data` (array) List of billing documents summary, including total generated invoices and credit memos, also a total number of accounts that failed to process. - `data.totalFailedAccounts` (integer) The count of total accounts who have failed records. - `data.totalGeneratedCreditMemos` (integer) The count of total generated credit memos. - `data.totalGeneratedInvoices` (integer) The count of total generated invoices. ## Response 400 fields (application/json): - `error` (string) Error status text. - `message` (string) The associated reason. - `path` (string) The system health api path having error. - `status` (integer) Error status code. - `timestamp` (string) The time when error happens.